<?php

namespace Comitium5\DesignerBundle\Factory\Page;

use Comitium5\DesignerBundle\Entity\Page;
use Comitium5\DesignerBundle\Factory\AbstractFactory;

/**
 * Class PageFactory
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Factory\Page
 */
class PageFactory extends AbstractFactory
{
    /**
     * @return Page
     */
    public function create()
    {
        $classNamespace = $this->getEntityNamespace();

        $entity = new $classNamespace();
        $entity->setCreatedAt(new \DateTime('NOW'));

        return $entity;
    }
}
